;**************************************************************************
;*
;* FILE  mc-vt-patch.asm
;* Copyright (c) 2009 Daniel Kahlin <daniel@kahlin.net>
;* Written by Daniel Kahlin <daniel@kahlin.net>
;* $Id: mc-vt-patch.asm,v 1.3 2009-07-29 16:01:55 tlr Exp $
;*
;* DESCRIPTION
;*   Patch for a problem with vic-tracker in Mega-Cart.
;*   (Device number is not set to a valid device, so load/save/dir hangs.)
;*   Location $9c86-$9ca9 (36 bytes)
;*
;*   When installed, "SYS 40070" (in +3Kb) to start. 
;*   This starts with the last used device or device 8 if none.
;*   "POKE186,<dev>:SYS40070" to start with different device.
;*
;******
	processor 6502

	org	$9c86		; 40070
device8:
	lda	$ba		; Device = 0?
	bne	anydevice	; no, leave as is.
	lda	#8
	sta	$ba		; Default to device 8.
anydevice:
	sei
	ldx	#$ff
	stx	$1501		; loader parameter for vic-tracker
	stx	$9c80		; Disable High ROM
	inx
	stx	$9d		; Disable direct mode
	lda	#$5b
	sta	$1502		; loader parameter for vic-tracker
	lda	#$0d
	sta	$9d00		; Enable Low ROM bank $0d at $a000
				; (and $2000, $4000, $6000)
	jsr	$a233		; setup parameters for load and start
	jmp	$a073		; perform load and start
; eof
